package com.ruoyi.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专利有效按年统计结果对象 ur_year_valid_data
 * 
 * @author dm
 * @date 2023-02-12
 */
@Data
@ApiModel(value = "专利有效按年统计结果对象")
public class UrYearValidData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    @ApiModelProperty(value = "年份")
    private String year;

    /** 城市简称 */
    @Excel(name = "城市简称")
    @ApiModelProperty(value = "城市简称")
    private String cityShortName;

    /** 城市名称 */
    @Excel(name = "城市名称")
    @ApiModelProperty(value = "城市名称")
    private String cityName;

    /** 专利类型 */
    @Excel(name = "专利类型")
    @ApiModelProperty(value = "专利类型")
    private String subject;

    /** 编码 */
    @Excel(name = "编码")
    @ApiModelProperty(value = "编码")
    private String code;

    /** 专利类型排序 */
    @Excel(name = "专利类型排序")
    @ApiModelProperty(value = "专利类型排序")
    private Long sort;

    /** 专利权人类型 */
    @Excel(name = "专利权人类型")
    @ApiModelProperty(value = "专利权人类型")
    private String type;

    /** 专利数量 */
    @Excel(name = "专利数量")
    @ApiModelProperty(value = "专利数量")
    private Long count;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("cityShortName", getCityShortName())
            .append("cityName", getCityName())
            .append("subject", getSubject())
            .append("code", getCode())
            .append("sort", getSort())
            .append("type", getType())
            .append("count", getCount())
            .toString();
    }
}
